// $Id$

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "XmlOptions.h"

//_____________________________________________________
//! system dependent options installer
void installSystemOptions( void )
{

    // set options default values
    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set( "BIBTEX_COMMAND", "@BIBTEX@" );
    XmlOptions::get().set( "DVI_TO_PS", "@DVIPS@" );
    XmlOptions::get().set( "DVI_TO_PDF", "@DVIPDF@" );
    XmlOptions::get().set( "LATEX_COMMAND", "@LATEX@" );
    XmlOptions::get().set( "PDF_LATEX", "@PDFLATEX@" );
    XmlOptions::get().set( "PS_TO_PDF", "@PS2PDF@" );
    XmlOptions::get().set( "SPELLCHECK", "@QEDIT@ --autospell --filter tex - " );

    #if defined(Q_OS_WIN)
    XmlOptions::get().set( "DVI_VIEWER", "@XDVI@" );
    XmlOptions::get().set( "PDF_VIEWER", "@XPDF@" );
    XmlOptions::get().set( "PS_VIEWER", "@GV@" );
    XmlOptions::get().set( "TEXT_EDITOR", "@QEDIT@" );
    XmlOptions::get().set( "IMAGE_VIEWER", "NOT_FOUND" );
    #else
    XmlOptions::get().set( "DVI_VIEWER", "@XDG_OPEN@" );
    XmlOptions::get().set( "PDF_VIEWER", "@XDG_OPEN@" );
    XmlOptions::get().set( "PS_VIEWER", "@XDG_OPEN@" );
    XmlOptions::get().set( "IMAGE_VIEWER", "@XDG_OPEN@" );
    XmlOptions::get().set( "TEXT_EDITOR", "@XDG_OPEN@" );
    #endif
    XmlOptions::get().setAutoDefault( false );
};
