/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "TexFile.h"

//________________________________________________________
TexFile TexFile::addExtension( const QString& extension ) const
{

    // prepare output file
    TexFile out( *this );

    // remove file extension, if found:
    if( extensions().find(  File( *this ).extension() ) != extensions().end() )
    { out = truncatedName(); }

    // adds new extension
    out += extension;
    return out;
}

//________________________________________________________
const TexFile::ExtensionList& TexFile::extensions( void )
{
    static ExtensionList extensions_;
    if( extensions_.empty() )
    {

        extensions_.insert( "tex" );
        extensions_.insert( "dvi" );
        extensions_.insert( "ps" );
        extensions_.insert( "pdf" );
        extensions_.insert( "aux" );
        extensions_.insert( "log" );
        extensions_.insert( "out" );
        extensions_.insert( "toc" );
        extensions_.insert( "tof" );
        extensions_.insert( "bib" );
        extensions_.insert( "bbl" );
        extensions_.insert( "blg" );
    }

    return extensions_;

}

//________________________________________________________
const TexFile::ExtensionList& TexFile::cleanExtensions( void )
{
    static ExtensionList cleanExtensions_;
    if( cleanExtensions_.empty() )
    {

        cleanExtensions_.insert( "dvi" );
        cleanExtensions_.insert( "aux" );
        cleanExtensions_.insert( "log" );
        cleanExtensions_.insert( "out" );
        cleanExtensions_.insert( "toc" );
        cleanExtensions_.insert( "tof" );
        cleanExtensions_.insert( "bbl" );
        cleanExtensions_.insert( "blg" );
    }

    return cleanExtensions_;

}
